Package picard.arrays

## Class MergePedIntoVcf

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.arrays.MergePedIntoVcf

-     @DocumentedFeature
      public class MergePedIntoVcf
      extends CommandLineProgram

  Class to take genotype calls from a ped file output from zCall and merge them into a vcf from autocall.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `MAP_FILE` |
    `File` | `ORIGINAL_VCF` |
    `File` | `OUTPUT` |
    `File` | `PED_FILE` |
    `File` | `ZCALL_THRESHOLDS_FILE` |
    `String` | `ZCALL_VERSION` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MergePedIntoVcf()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORIGINAL_VCF

          @Argument(shortName="VCF",
                    doc="The vcf containing the original autocall genotypes.")
          public File ORIGINAL_VCF

    - #### PED_FILE

          @Argument(shortName="PED",
                    doc="PED file to be merged into VCF.")
          public File PED_FILE

    - #### MAP_FILE

          @Argument(shortName="MAP",
                    doc="MAP file for the PED file.")
          public File MAP_FILE

    - #### ZCALL_THRESHOLDS_FILE

          @Argument(shortName="ZCALL_T_FILE",
                    doc="The zcall thresholds file.")
          public File ZCALL_THRESHOLDS_FILE

    - #### ZCALL_VERSION

          @Argument(shortName="ZCALL_VERSION",
                    doc="The version of zcall used")
          public String ZCALL_VERSION

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="The output VCF file to write with merged genotype calls.")
          public File OUTPUT

  - ### Constructor Detail

    - #### MergePedIntoVcf

          public MergePedIntoVcf()

  - ### Method Detail

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.